# List Storage Configuration Public

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/storage-configurations`

Lists <Databricks> storage configurations for an account, specified by ID.

API scopes: provisioning

Clouds: AWS

## Path parameters

- `account_id` (string, optional)

## Returns

- `storage_configurations` (array of object, optional)
  - `storage_configuration_id` (string, optional)
    <Databricks> storage configuration ID.
  - `account_id` (string, optional)
    The <Databricks> account ID associated with this storage configuration.
  - `root_bucket_info` (object, optional)
    The root bucket information for the storage configuration.
    - `bucket_name` (string, optional)
      Name of the S3 bucket
  - `storage_configuration_name` (string, optional)
    The human-readable name of the storage configuration.
    Constraints: `[ 4 .. 256 ] characters`
  - `creation_time` (int64, optional)
    Time in epoch milliseconds when the storage configuration was created.
  - `role_arn` (string, optional)
    Optional IAM role that is used to access the workspace catalog which is created during workspace creation
     for UC by Default. If a storage configuration with this field populated is used to create a workspace,
     then a workspace catalog is created together with the workspace. The workspace catalog shares the root
     bucket with internal workspace storage (including DBFS root) but uses a dedicated bucket path prefix.

## Response

```json
{
  "storage_configurations": [
    {
      "storage_configuration_id": "string",
      "account_id": "string",
      "root_bucket_info": {},
      "storage_configuration_name": "string",
      "creation_time": 0,
      "role_arn": "string"
    }
  ]
}
```

